function output = get_population(breedingpop,nb_node,i)
% i is the number of habitat node that lost, could be a vector of [1 5]
% returns output, either include M1 then last col is population back, or
% inlcude M1 then last col is cc
% cc is the carrying capacity 
M1=zeros(nb_node);

switch nargin
    case 3 % when there's habitat loss
%south migration
if (all((i)~=1) && all((i)~=4)) % if node 1 and 4 are not in habitat loss vector
    M1(1,4)=0.8*breedingpop;
end
if (all((i)~=2) && all((i)~=3))
M1(2,3)=0.2*breedingpop;
end
if (all((i)~=3) && all((i)~=4))
M1(3,4)=0.5*M1(2,3);
end
if (all((i)~=3) && all((i)~=5))
M1(3,5)=0.5*M1(2,3);
end
if (all((i)~=4) && all((i)~=5))
M1(4,5)=(sum(M1(:,4)))*0.68; % birds from node 4 to 5 include all birds in node 4= 1->4 and 3->4
end
if (all((i)~=5) && all((i)~=6))
M1(5,6)=(sum(M1(:,5)))*0.03; % 3% of all birds in node 5 go to node 6
end
if (all((i)~=5) && all((i)~=7))
M1(5,7)=(sum(M1(:,5)))*0.43;end
if (all((i)~=5) && all((i)~=8))
M1(5,8)=(sum(M1(:,5)))*0.09;
% north migration
M1(8,5)=sum(M1(:,8))*0.1;
end % 10% birds in node 8 go back to node 5
if (all((i)~=8) && all((i)~=3))
M1(8,3)=sum(M1(:,8))*0.9; end% 90% birds in node 8 go back to node 3
if (all((i)~=7) && all((i)~=3))
M1(7,3)=sum(M1(:,7));end
if (all((i)~=6) && all((i)~=3))
M1(6,3)=sum(M1(:,6));end
M1_low=tril(M1); % get the lower triangular of M1
M1_up=triu(M1); % upper triangular of M1
if (all((i)~=5) && all((i)~=3))
M1(5,3)=sum(M1_low(:,5))+sum(M1_up(:,5))*(1-0.03-0.09-0.43);end % north migration in node 5=birds from node 8+the rest birds in node 5
if (all((i)~=4) && all((i)~=2))
M1(4,2)=sum(M1_up(:,4))*(1-0.68);end
M1_low=tril(M1); % update lower triangular
if (all((i)~=3) && all((i)~=2))
M1(3,2)=sum(M1_low(:,3));end
M1_low=tril(M1); % update lower triangular
if (all((i)~=2) && all((i)~=1))
M1(2,1)=sum(M1_low(:,2))*0.6;end

popback=M1(2,1)+sum(M1(:,2))-M1(2,1);
output={M1,popback};
    case 2 % just calculate population matrix
M1(1,4)=0.8*breedingpop;
M1(2,3)=0.2*breedingpop;
M1(3,4)=0.5*M1(2,3);
M1(3,5)=0.5*M1(2,3);
M1(4,5)=(sum(M1(:,4)))*0.68; % birds from node 4 to 5 include all birds in node 4= 1->4 and 3->4
M1(5,6)=(sum(M1(:,5)))*0.03; % 3% of all birds in node 5 go to node 6
M1(5,7)=(sum(M1(:,5)))*0.43;
M1(5,8)=(sum(M1(:,5)))*0.09;

% north migration
M1(8,5)=sum(M1(:,8))*0.1;
M1(8,3)=sum(M1(:,8))*0.9; % 90% birds in node 8 go back to node 3
M1(7,3)=sum(M1(:,7));
M1(6,3)=sum(M1(:,6));
M1_low=tril(M1); % get the lower triangular of M1
M1_up=triu(M1); % upper triangular of M1
M1(5,3)=sum(M1_low(:,5))+sum(M1_up(:,5))*(1-0.03-0.09-0.43);% north migration in node 5=birds from node 8+the rest birds in node 5
M1(4,2)=sum(M1_up(:,4))*(1-0.68);
M1_low=tril(M1); % update lower triangular
M1(3,2)=sum(M1_low(:,3));
M1_low=tril(M1); % update lower triangular
M1(2,1)=sum(M1_low(:,2))*0.6;

cc=zeros(8,1);M1_inflow=sum(triu(M1),2); M1_outflow=sum(tril(M1),2);
for ii=1:8
    cc(ii)=max(M1_inflow(ii),M1_outflow(ii));
end
output=[M1,cc];
end

end

