%%%=========================================================
%%% OBJECTIVE: visualize the protection action per state
%%%========================================================


%%% to visualize the protection action per state
load('P_lossrate_avg.mat')
%% get ready the state matrix
state=zeros(S,nb_node); % matrix containing all possible ecosystem states
for i=1:S
    state(i,:)=getState(i-1,nb_node);
end
state_trans=zeros(S,nb_node);
for i=2:S
    n=find(state(i,:)==1);
    state_trans(i,n)=n;
end
state_trans(state_trans==0)=NaN;
% update the state_trans with only realistic actions
ttt2=find(popback>0); % delete when theres 0 population back (inefficient protection)
ttt2(find(ttt2==15))=[];ttt2(find(ttt2==79))=[];ttt2(find(ttt2==143))=[];ttt2(find(ttt2==207))=[];
% tt2 contains the state id for popback>0
tnew=state_trans(ttt2,:); 

%%calcualte the protection matrix
policynew=policy_Bio(ttt2,:); % only keep the policy that actually works (not work means still protect a habitat when there's no population back-->popback=0 )
% tnew is the optimal and realistic policy
nodeIDnew=zeros(size(nodeID,1),nb_node);

for i=1:length(tnew)
nodeIDnew(i,cell2mat(nodeID(policynew(i))))=cell2mat(nodeID(policynew(i)));
end
nodeIDnew(nodeIDnew==0)=NaN;



%%%graph
ph=plot(tnew,'r.','MarkerSize', 20); %'markerfacecolor',[1 0 0]
hold on
ph2=plot(nodeIDnew,'b*');

legend([ph(1,1) ph2(1,1)],'Habitat present','Habitat under protection','Location','NorthWest');
legend boxoff
hold off

xlim([0 length(ttt2)+1])
set(gca,'xTick',[1:length(ttt2)],'XTickLabel',ttt2,'XTickLabelRotation',90,'yTick',[0:nb_node],'YTickLabel',[0:nb_node]) %
xlabel('flyway state ID (1-256)')
ylabel('Habitat No.')

%%% for ES strategy
load('P_lossrate_avg.mat')

%% get ready the state matrix
state=zeros(S,nb_node); % matrix containing all possible ecosystem states
for i=1:S
    state(i,:)=getState(i-1,nb_node);
end
state_trans=zeros(S,nb_node);
for i=2:S
    n=find(state(i,:)==1);
    state_trans(i,n)=n;
end
state_trans(state_trans==0)=NaN;
% update the state_trans with only realistic actions
ttt2=find(popback>0); % delete when theres 0 population back (inefficient protection)
ttt2(find(ttt2==15))=[];ttt2(find(ttt2==79))=[];ttt2(find(ttt2==143))=[];ttt2(find(ttt2==207))=[];
% tt2 contains the state id for popback>0
tnew=state_trans(ttt2,:); 

%%calcualte the protection matrix
policynew=policy_ES(ttt2,:); % only keep the policy that actually works (not work means still protect a habitat when there's no population back-->popback=0 )
% tnew is the optimal and realistic policy
nodeIDnew=zeros(size(nodeID,2),nb_node);

for i=1:length(tnew)
nodeIDnew(i,cell2mat(nodeID(policynew(i))))=cell2mat(nodeID(policynew(i)));
end
nodeIDnew(nodeIDnew==0)=NaN;



%%%graph
ph=plot(tnew,'r.','MarkerSize', 20); %'markerfacecolor',[1 0 0]
hold on
ph2=plot(nodeIDnew,'b*');

legend([ph(1,1) ph2(1,1)],'Habitat present','Habitat under protection','Location','NorthWest');
legend boxoff
hold off

xlim([0 length(ttt2)+1])
set(gca,'xTick',[1:length(ttt2)],'XTickLabel',ttt2,'XTickLabelRotation',90,'yTick',[0:nb_node],'YTickLabel',[0:nb_node]) %
xlabel('flyway state ID (1-256)')
ylabel('Habitat No.')
